Permalink
Browse files

Updated readme. Whoops!

  • Loading branch information...
1 parent ea548f6 commit 9e251c4db94d10c5d3765bf0d1fe6d290038a561 Michael Edgar committed Jun 19, 2011
Showing with 62 additions and 1 deletion.
  1. +15 −1 README.rdoc
  2. +47 −0 simplecov-gem-adapter.gemspec
View
@@ -1,6 +1,20 @@
= simplecov-gem-adapter
-Description goes here.
+== Usage
+
+Put this at the top of your {spec,test}_helper.rb (or any code guaranteed to run before your
+tests/specs execute):
+
+ require 'simplecov'
+ require 'simplecov-gem-adapter'
+ SimpleCov.start 'gem'
+
+This adapter follows pseudo-standard rubygems packing standards:
+
+* Binaries in /bin/
+* Extensions in /ext/
+* Library code in /lib/
+* Third-party code in /vendor/
== Note on Patches/Pull Requests
@@ -0,0 +1,47 @@
+# Generated by jeweler
+# DO NOT EDIT THIS FILE
+# Instead, edit Jeweler::Tasks in Rakefile, and run `rake gemspec`
+# -*- encoding: utf-8 -*-
+
+Gem::Specification.new do |s|
+ s.name = %q{simplecov-gem-adapter}
+ s.version = "1.0.1"
+
+ s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
+ s.authors = ["Michael Edgar"]
+ s.date = %q{2011-02-09}
+ s.description = %q{For some reason, there's no adapter for a gem in SimpleCov, an excellent, simple Ruby 1.9 coverage tool. So this one defines one in about 8 lines of code.}
+ s.email = %q{michael.j.edgar@dartmouth.edu}
+ s.extra_rdoc_files = [
+ "LICENSE",
+ "README.rdoc"
+ ]
+ s.files = [
+ ".document",
+ ".gitignore",
+ "LICENSE",
+ "README.rdoc",
+ "Rakefile",
+ "VERSION",
+ "lib/simplecov-gem-adapter.rb"
+ ]
+ s.homepage = %q{http://github.com/michaeledgar/simplecov-gem-adapter}
+ s.rdoc_options = ["--charset=UTF-8"]
+ s.require_paths = ["lib"]
+ s.rubyforge_project = %q{simplecov-gem-adapter}
+ s.rubygems_version = %q{1.3.7}
+ s.summary = %q{SimpleCov adapter for a standard Ruby Gem.}
+
+ if s.respond_to? :specification_version then
+ current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
+ s.specification_version = 3
+
+ if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
+ s.add_runtime_dependency(%q<simplecov>, [">= 0"])
+ else
+ s.add_dependency(%q<simplecov>, [">= 0"])
+ end
+ else
+ s.add_dependency(%q<simplecov>, [">= 0"])
+ end
+end

0 comments on commit 9e251c4

Please sign in to comment.